#' Optimally interpolated 0.25 degree SST for the Western Australian region.
#'
#' A dataset containing the sea surface temperature
#' (in degrees Celsius) and date for the Western Australian region
#' for the period 1982-01-01 to 2018-12-31.
#'
#' lon/lat: 112.5/-29.5
#'
#' @format A data frame with 13514 rows and 2 variables:
#' \describe{
#'   \item{t}{date, as.Date() format}
#'   \item{temp}{SST, in degrees Celsius}
#'   ...
#' }
#' @source \url{https://www.ncdc.noaa.gov/oisst}
"sst_WA"
